#include "chdecl.h"
void CH_stdio(current, sched, cop)
#define ARGUMENTS 10
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto cb7;
    case 4: goto c8;
    case 5: goto cb10;
    case 6: goto c11;
    case 7: goto cb13;
    case 8: goto c14;
    case 9: goto cb16;
    case 10: goto c17;
    case 11: goto cb19;
    case 12: goto c20;
    case 13: goto cb22;
    case 14: goto c23;
    case 15: goto cb27;
    case 16: goto c28;
    case 17: goto cb32;
    case 18: goto c33;
    case 19: goto cb37;
    case 20: goto c38;
    case 21: goto cb42;
    case 22: goto c43;
    case 23: goto cb49;
    case 24: goto c50;
    case 25: goto cb51;
    case 26: goto c52;
    case 27: goto cb53;
    case 28: goto c54;
    case 29: goto cb56;
    case 30: goto c57;
    case 31: goto cb59;
    case 32: goto c60;
    case 33: goto c64;
    case 34: goto cb64;
    case 36: goto cb66;
    case 37: goto c67;
    case 38: goto c68;
    case 39: goto cb70;
    case 40: goto c71;
    case 41: goto c74;
    case 42: goto cb76;
    case 43: goto c77;
    case 44: goto c78;
    case 45: goto cb80;
    case 46: goto c81;
    case 47: goto c84;
    case 48: goto cb86;
    case 49: goto c87;
    case 50: goto c88;
    case 51: goto cb90;
    case 52: goto c91;
    case 53: goto c94;
    case 54: goto cb96;
    case 55: goto c97;
    case 56: goto c98;
    case 57: goto cb100;
    case 58: goto c101;
    case 59: goto c104;
    case 35: goto c106;
    case 60: goto c106;
    case 61: goto c108;
    case 62: goto c110;
    case 63: goto c139;
    case 64: goto c142;
    case 65: goto c166;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* discard 0 */
  (*(REF(0).tsdr)->finalize)(REF(0).value,F_DISCARD,sched);
  REF(0).tsdr = & dr_bottom;
/* copy 4 3.0 */
  if((ch_returncode = cp_outport(& ch_val, REF(3)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).value = ch_val;
  REF(4).tsdr = & dr_outport;
/* new_record 3.1 , 13 */
  if ((ch_val.record = new_record(13)) == nil) goto ch_depletion;
  (*(REF(3)DOT(1).tsdr)->finalize)(REF(3)DOT(1).value,F_DISCARD,sched);
  REF(3)DOT(1).value = ch_val; REF(3)DOT(1).tsdr = & dr_record;
/* chs_lit 5 , "clearerrno" */
  if( !chs_lit(DEF(5),"clearerrno") ) goto ch_depletion;
  current->ip = 3;
cb7:
/* call 4 5 6 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4),
          arguments[1] = DEF(5),
          arguments[2] = DEF(6),
          arguments[2+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c8:
/* unwrap 3.1.7 6 , 3 */
  if ((ch_returncode = che_unwrap(DEF(3)DOT(1)DOT(7),DEF(6),QUAL(3)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 7 , "ctermid" */
  if( !chs_lit(DEF(7),"ctermid") ) goto ch_depletion;
  current->ip = 5;
cb10:
/* call 4 7 8 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4),
          arguments[1] = DEF(7),
          arguments[2] = DEF(8),
          arguments[2+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c11:
/* unwrap 3.1.8 8 , 4 */
  if ((ch_returncode = che_unwrap(DEF(3)DOT(1)DOT(8),DEF(8),QUAL(4)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 9 , "cuserid" */
  if( !chs_lit(DEF(9),"cuserid") ) goto ch_depletion;
  current->ip = 7;
cb13:
/* call 4 9 10 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4),
          arguments[1] = DEF(9),
          arguments[2] = DEF(10),
          arguments[2+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c14:
/* unwrap 3.1.9 10 , 5 */
  if ((ch_returncode = che_unwrap(DEF(3)DOT(1)DOT(9),DEF(10),QUAL(5)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 11 , "tmpnam" */
  if( !chs_lit(DEF(11),"tmpnam") ) goto ch_depletion;
  current->ip = 9;
cb16:
/* call 4 11 12 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4),
          arguments[1] = DEF(11),
          arguments[2] = DEF(12),
          arguments[2+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c17:
/* unwrap 3.1.10 12 , 6 */
  if ((ch_returncode = che_unwrap(DEF(3)DOT(1)DOT(10),DEF(12),QUAL(6)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 13 , "Access" */
  if( !chs_lit(DEF(13),"Access") ) goto ch_depletion;
  current->ip = 11;
cb19:
/* call 4 13 14 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4),
          arguments[1] = DEF(13),
          arguments[2] = DEF(14),
          arguments[2+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c20:
/* unwrap 3.1.11 14 , 7 */
  if ((ch_returncode = che_unwrap(DEF(3)DOT(1)DOT(11),DEF(14),QUAL(7)
    ,sched)) != Normal) goto ch_raise_exception;
/* chs_lit 15 , "read errno" */
  if( !chs_lit(DEF(15),"read errno") ) goto ch_depletion;
  current->ip = 13;
cb22:
/* call 4 15 16 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4),
          arguments[1] = DEF(15),
          arguments[2] = DEF(16),
          arguments[2+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c23:
/* unwrap 3.1.12 16 , 8 */
  if ((ch_returncode = che_unwrap(DEF(3)DOT(1)DOT(12),DEF(16),QUAL(8)
    ,sched)) != Normal) goto ch_raise_exception;
/* new_inport 17 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).value = ch_val; REF(17).tsdr = & dr_inport;
/* connect 3.1.3 17 */
  if (REF(17).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(1)DOT(3).tsdr)->finalize)(REF(3)DOT(1)DOT(3).value
    ,F_DISCARD,sched);
  REF(17).value.inport->refcount++;
  REF(3)DOT(1)DOT(3).value.outport = REF(17).value.inport;
  REF(3)DOT(1)DOT(3).tsdr = & dr_outport;
/* chs_lit 18 , "fopen" */
  if( !chs_lit(DEF(18),"fopen") ) goto ch_depletion;
  current->ip = 15;
cb27:
/* call 4 18 19 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4),
          arguments[1] = DEF(18),
          arguments[2] = DEF(19),
          arguments[2+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c28:
/* unwrap 20 19 , 9 */
  if ((ch_returncode = che_unwrap(DEF(20),DEF(19),QUAL(9),sched)) != Normal)
     goto ch_raise_exception;
/* new_inport 21 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).value = ch_val; REF(21).tsdr = & dr_inport;
/* connect 3.1.4 21 */
  if (REF(21).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(1)DOT(4).tsdr)->finalize)(REF(3)DOT(1)DOT(4).value
    ,F_DISCARD,sched);
  REF(21).value.inport->refcount++;
  REF(3)DOT(1)DOT(4).value.outport = REF(21).value.inport;
  REF(3)DOT(1)DOT(4).tsdr = & dr_outport;
/* chs_lit 22 , "fdopen" */
  if( !chs_lit(DEF(22),"fdopen") ) goto ch_depletion;
  current->ip = 17;
cb32:
/* call 4 22 23 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4),
          arguments[1] = DEF(22),
          arguments[2] = DEF(23),
          arguments[2+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c33:
/* unwrap 24 23 , 10 */
  if ((ch_returncode = che_unwrap(DEF(24),DEF(23),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
/* new_inport 25 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).value = ch_val; REF(25).tsdr = & dr_inport;
/* connect 3.1.5 25 */
  if (REF(25).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(1)DOT(5).tsdr)->finalize)(REF(3)DOT(1)DOT(5).value
    ,F_DISCARD,sched);
  REF(25).value.inport->refcount++;
  REF(3)DOT(1)DOT(5).value.outport = REF(25).value.inport;
  REF(3)DOT(1)DOT(5).tsdr = & dr_outport;
/* chs_lit 26 , "popen" */
  if( !chs_lit(DEF(26),"popen") ) goto ch_depletion;
  current->ip = 19;
cb37:
/* call 4 26 27 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4),
          arguments[1] = DEF(26),
          arguments[2] = DEF(27),
          arguments[2+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c38:
/* unwrap 28 27 , 11 */
  if ((ch_returncode = che_unwrap(DEF(28),DEF(27),QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
/* new_inport 29 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).value = ch_val; REF(29).tsdr = & dr_inport;
/* connect 3.1.6 29 */
  if (REF(29).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(3)DOT(1)DOT(6).tsdr)->finalize)(REF(3)DOT(1)DOT(6).value
    ,F_DISCARD,sched);
  REF(29).value.inport->refcount++;
  REF(3)DOT(1)DOT(6).value.outport = REF(29).value.inport;
  REF(3)DOT(1)DOT(6).tsdr = & dr_outport;
/* chs_lit 30 , "tmpfile" */
  if( !chs_lit(DEF(30),"tmpfile") ) goto ch_depletion;
  current->ip = 21;
cb42:
/* call 4 30 31 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(4),
          arguments[1] = DEF(30),
          arguments[2] = DEF(31),
          arguments[2+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c43:
/* unwrap 32 31 , 12 */
  if ((ch_returncode = che_unwrap(DEF(32),DEF(31),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
/* prog_lit 33 , 13 */
  if ((ch_returncode = che_prog_lit(DEF(33),QUAL(13),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 34 33 , 14 */
  if ((ch_returncode = che_procedure(DEF(34),DEF(33),QUAL(14)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 33 */
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).tsdr = & dr_bottom;
/* move 35 34 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35) = REF(34);
  REF(34).tsdr = & dr_bottom;
/* chs_lit 36 , "stdstreams" */
  if( !chs_lit(DEF(36),"stdstreams") ) goto ch_depletion;
  current->ip = 23;
cb49:
/* call 3.0 36 37 , 2 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0),
          arguments[1] = DEF(36),
          arguments[2] = DEF(37),
          arguments[2+1] = nil,& arguments[0]),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
  return;
c50:
/* unwrap 38 37 , 15 */
  if ((ch_returncode = che_unwrap(DEF(38),DEF(37),QUAL(15),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 25;
cb51:
/* call 38 39 40 41 , 16 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(38),
          arguments[1] = DEF(39),
          arguments[2] = DEF(40),
          arguments[3] = DEF(41),
          arguments[3+1] = nil,& arguments[0]),QUAL(16),sched)) != Normal)
     goto ch_raise_exception;
  return;
c52:
/* enum_lit 42 , 0 */
  REF(42).value.enumeration = 0;
  REF(42).tsdr = & dr_enumeration;
  current->ip = 27;
cb53:
/* call 35 39 42 4 43 , 17 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(35),
          arguments[1] = DEF(39),
          arguments[2] = DEF(42),
          arguments[3] = DEF(4),
          arguments[4] = DEF(43),
          arguments[4+1] = nil,& arguments[0]),QUAL(17),sched)) != Normal)
     goto ch_raise_exception;
  return;
c54:
/* move 3.1.0 43 */
  (*(REF(3)DOT(1)DOT(0).tsdr)->finalize)(REF(3)DOT(1)DOT(0).value
    ,F_DISCARD,sched);
  REF(3)DOT(1)DOT(0) = REF(43);
  REF(43).tsdr = & dr_bottom;
/* enum_lit 44 , 0 */
  REF(44).value.enumeration = 0;
  REF(44).tsdr = & dr_enumeration;
  current->ip = 29;
cb56:
/* call 35 40 44 4 45 , 17 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(35),
          arguments[1] = DEF(40),
          arguments[2] = DEF(44),
          arguments[3] = DEF(4),
          arguments[4] = DEF(45),
          arguments[4+1] = nil,& arguments[0]),QUAL(17),sched)) != Normal)
     goto ch_raise_exception;
  return;
c57:
/* move 3.1.1 45 */
  (*(REF(3)DOT(1)DOT(1).tsdr)->finalize)(REF(3)DOT(1)DOT(1).value
    ,F_DISCARD,sched);
  REF(3)DOT(1)DOT(1) = REF(45);
  REF(45).tsdr = & dr_bottom;
/* enum_lit 46 , 0 */
  REF(46).value.enumeration = 0;
  REF(46).tsdr = & dr_enumeration;
  current->ip = 31;
cb59:
/* call 35 41 46 4 47 , 17 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(35),
          arguments[1] = DEF(41),
          arguments[2] = DEF(46),
          arguments[3] = DEF(4),
          arguments[4] = DEF(47),
          arguments[4+1] = nil,& arguments[0]),QUAL(17),sched)) != Normal)
     goto ch_raise_exception;
  return;
c60:
/* move 3.1.2 47 */
  (*(REF(3)DOT(1)DOT(2).tsdr)->finalize)(REF(3)DOT(1)DOT(2).value
    ,F_DISCARD,sched);
  REF(3)DOT(1)DOT(2) = REF(47);
  REF(47).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
c62:
/* noop */
  
c64:
  current->ip = 34;
cb64:
/* select 17 * 21 * 25 * 29 * , 18 */
  if ((ch_returncode = che_select((
          arguments[0] = DEF(17),
          arguments[1] = NO_OBJECT,
          arguments[2] = DEF(21),
          arguments[3] = NO_OBJECT,
          arguments[4] = DEF(25),
          arguments[5] = NO_OBJECT,
          arguments[6] = DEF(29),
          arguments[7] = NO_OBJECT,
          arguments[7+1] = nil,& arguments[0]),QUAL(18),sched)) != Normal)
     goto ch_raise_exception;
  if (current->ip == 34) return; else COMPUTE_TARGET;
c66:
  current->ip = 36;
cb66:
/* receive 48 17 */
  if ((ch_returncode = che_receive(DEF(48),DEF(17),sched)) != Normal)
     goto ch_raise_exception;
  return;
c67:
/* call 20 48.0 48.1 49 50 , 19 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(20),
          arguments[1] = DEF(48)DOT(0),
          arguments[2] = DEF(48)DOT(1),
          arguments[3] = DEF(49),
          arguments[4] = DEF(50),
          arguments[4+1] = nil,& arguments[0]),QUAL(19),sched)) != Normal)
     goto ch_raise_exception;
  return;
c68:
/* branch_false 50 , 74 */
  if ( !REF(50).value.boolean ) goto c74;
/* enum_lit 51 , 0 */
  REF(51).value.enumeration = 0;
  REF(51).tsdr = & dr_enumeration;
  current->ip = 39;
cb70:
/* call 35 49 51 4 52 , 17 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(35),
          arguments[1] = DEF(49),
          arguments[2] = DEF(51),
          arguments[3] = DEF(4),
          arguments[4] = DEF(52),
          arguments[4+1] = nil,& arguments[0]),QUAL(17),sched)) != Normal)
     goto ch_raise_exception;
  return;
c71:
/* move 48.2 52 */
  (*(REF(48)DOT(2).tsdr)->finalize)(REF(48)DOT(2).value,F_DISCARD,sched);
  REF(48)DOT(2) = REF(52);
  REF(52).tsdr = & dr_bottom;
/* return 48 */
  if (ch_caller = do_return(REF(48).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(48).value);
  REF(48).tsdr = & dr_bottom;
/* branch , 62 */
   goto c62;
c74:
/* return_exception 48 , 20 */
  if (ch_caller = do_return(REF(48).value)) {
    raise_user(QUAL(20),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(48),QUAL(20));
  REF(48).tsdr = & dr_bottom;
/* branch , 62 */
   goto c62;
c76:
  current->ip = 42;
cb76:
/* receive 53 21 */
  if ((ch_returncode = che_receive(DEF(53),DEF(21),sched)) != Normal)
     goto ch_raise_exception;
  return;
c77:
/* call 24 53.0 53.1 49 54 , 21 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(24),
          arguments[1] = DEF(53)DOT(0),
          arguments[2] = DEF(53)DOT(1),
          arguments[3] = DEF(49),
          arguments[4] = DEF(54),
          arguments[4+1] = nil,& arguments[0]),QUAL(21),sched)) != Normal)
     goto ch_raise_exception;
  return;
c78:
/* branch_false 54 , 84 */
  if ( !REF(54).value.boolean ) goto c84;
/* enum_lit 55 , 0 */
  REF(55).value.enumeration = 0;
  REF(55).tsdr = & dr_enumeration;
  current->ip = 45;
cb80:
/* call 35 49 55 4 56 , 17 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(35),
          arguments[1] = DEF(49),
          arguments[2] = DEF(55),
          arguments[3] = DEF(4),
          arguments[4] = DEF(56),
          arguments[4+1] = nil,& arguments[0]),QUAL(17),sched)) != Normal)
     goto ch_raise_exception;
  return;
c81:
/* move 53.2 56 */
  (*(REF(53)DOT(2).tsdr)->finalize)(REF(53)DOT(2).value,F_DISCARD,sched);
  REF(53)DOT(2) = REF(56);
  REF(56).tsdr = & dr_bottom;
/* return 53 */
  if (ch_caller = do_return(REF(53).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(53).value);
  REF(53).tsdr = & dr_bottom;
/* branch , 62 */
   goto c62;
c84:
/* return_exception 53 , 22 */
  if (ch_caller = do_return(REF(53).value)) {
    raise_user(QUAL(22),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(53),QUAL(22));
  REF(53).tsdr = & dr_bottom;
/* branch , 62 */
   goto c62;
c86:
  current->ip = 48;
cb86:
/* receive 57 25 */
  if ((ch_returncode = che_receive(DEF(57),DEF(25),sched)) != Normal)
     goto ch_raise_exception;
  return;
c87:
/* call 28 57.0 57.1 49 58 , 23 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(28),
          arguments[1] = DEF(57)DOT(0),
          arguments[2] = DEF(57)DOT(1),
          arguments[3] = DEF(49),
          arguments[4] = DEF(58),
          arguments[4+1] = nil,& arguments[0]),QUAL(23),sched)) != Normal)
     goto ch_raise_exception;
  return;
c88:
/* branch_false 58 , 94 */
  if ( !REF(58).value.boolean ) goto c94;
/* enum_lit 59 , 1 */
  REF(59).value.enumeration = 1;
  REF(59).tsdr = & dr_enumeration;
  current->ip = 51;
cb90:
/* call 35 49 59 4 60 , 17 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(35),
          arguments[1] = DEF(49),
          arguments[2] = DEF(59),
          arguments[3] = DEF(4),
          arguments[4] = DEF(60),
          arguments[4+1] = nil,& arguments[0]),QUAL(17),sched)) != Normal)
     goto ch_raise_exception;
  return;
c91:
/* move 57.2 60 */
  (*(REF(57)DOT(2).tsdr)->finalize)(REF(57)DOT(2).value,F_DISCARD,sched);
  REF(57)DOT(2) = REF(60);
  REF(60).tsdr = & dr_bottom;
/* return 57 */
  if (ch_caller = do_return(REF(57).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(57).value);
  REF(57).tsdr = & dr_bottom;
/* branch , 62 */
   goto c62;
c94:
/* return_exception 57 , 24 */
  if (ch_caller = do_return(REF(57).value)) {
    raise_user(QUAL(24),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(57),QUAL(24));
  REF(57).tsdr = & dr_bottom;
/* branch , 62 */
   goto c62;
c96:
  current->ip = 54;
cb96:
/* receive 61 29 */
  if ((ch_returncode = che_receive(DEF(61),DEF(29),sched)) != Normal)
     goto ch_raise_exception;
  return;
c97:
/* call 32 49 62 , 25 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(32),
          arguments[1] = DEF(49),
          arguments[2] = DEF(62),
          arguments[2+1] = nil,& arguments[0]),QUAL(25),sched)) != Normal)
     goto ch_raise_exception;
  return;
c98:
/* branch_false 62 , 104 */
  if ( !REF(62).value.boolean ) goto c104;
/* enum_lit 63 , 0 */
  REF(63).value.enumeration = 0;
  REF(63).tsdr = & dr_enumeration;
  current->ip = 57;
cb100:
/* call 35 49 63 4 64 , 17 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(35),
          arguments[1] = DEF(49),
          arguments[2] = DEF(63),
          arguments[3] = DEF(4),
          arguments[4] = DEF(64),
          arguments[4+1] = nil,& arguments[0]),QUAL(17),sched)) != Normal)
     goto ch_raise_exception;
  return;
c101:
/* move 61.0 64 */
  (*(REF(61)DOT(0).tsdr)->finalize)(REF(61)DOT(0).value,F_DISCARD,sched);
  REF(61)DOT(0) = REF(64);
  REF(64).tsdr = & dr_bottom;
/* return 61 */
  if (ch_caller = do_return(REF(61).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(61).value);
  REF(61).tsdr = & dr_bottom;
/* branch , 62 */
   goto c62;
c104:
/* return_exception 61 , 26 */
  if (ch_caller = do_return(REF(61).value)) {
    raise_user(QUAL(26),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(61),QUAL(26));
  REF(61).tsdr = & dr_bottom;
/* branch , 62 */
   goto c62;
c65:
c106:
/* exit , 27 */
  ch_e = handler_type__exit; ch_val = QUAL(27); goto ch_exception;
c108:
/* endblock */
  che_endblock(sched);
/* branch , 142 */
   goto c142;
c110:
/* discard 0 */
  (*(REF(0).tsdr)->finalize)(REF(0).value,F_DISCARD,sched);
  REF(0).tsdr = & dr_bottom;
/* discard 3 */
  (*(REF(3).tsdr)->finalize)(REF(3).value,F_DISCARD,sched);
  REF(3).tsdr = & dr_bottom;
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* discard 25 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).tsdr = & dr_bottom;
/* discard 28 */
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).tsdr = & dr_bottom;
/* discard 29 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).tsdr = & dr_bottom;
/* discard 32 */
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).tsdr = & dr_bottom;
/* discard 35 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).tsdr = & dr_bottom;
/* discard 5 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).tsdr = & dr_bottom;
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* discard 22 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).tsdr = & dr_bottom;
/* discard 26 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).tsdr = & dr_bottom;
/* discard 30 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).tsdr = & dr_bottom;
/* discard 38 */
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).tsdr = & dr_bottom;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* discard 48 */
  (*(REF(48).tsdr)->finalize)(REF(48).value,F_DISCARD,sched);
  REF(48).tsdr = & dr_bottom;
/* discard 53 */
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).tsdr = & dr_bottom;
/* discard 57 */
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57).tsdr = & dr_bottom;
/* discard 61 */
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61).tsdr = & dr_bottom;
/* branch , 142 */
   goto c142;
c139:
/* chs_lit 65 , "exit(cantHappen) happened in stdio" */
  if( !chs_lit(DEF(65),"exit(cantHappen) happened in stdio") )
     goto ch_depletion;
/* print 65 */
  re_print(stderr, 0, DEF(65)); fflush(stderr);
/* discard 65 */
  (*(REF(65).tsdr)->finalize)(REF(65).value,F_DISCARD,sched);
  REF(65).tsdr = & dr_bottom;
c142:
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
/* discard 20 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  REF(20).tsdr = & dr_bottom;
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
/* discard 24 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  REF(24).tsdr = & dr_bottom;
/* discard 25 */
  (*(REF(25).tsdr)->finalize)(REF(25).value,F_DISCARD,sched);
  REF(25).tsdr = & dr_bottom;
/* discard 28 */
  (*(REF(28).tsdr)->finalize)(REF(28).value,F_DISCARD,sched);
  REF(28).tsdr = & dr_bottom;
/* discard 29 */
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).tsdr = & dr_bottom;
/* discard 32 */
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).tsdr = & dr_bottom;
/* discard 35 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).tsdr = & dr_bottom;
/* discard 5 */
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).tsdr = & dr_bottom;
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* discard 9 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9).tsdr = & dr_bottom;
/* discard 11 */
  (*(REF(11).tsdr)->finalize)(REF(11).value,F_DISCARD,sched);
  REF(11).tsdr = & dr_bottom;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* discard 15 */
  (*(REF(15).tsdr)->finalize)(REF(15).value,F_DISCARD,sched);
  REF(15).tsdr = & dr_bottom;
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* discard 22 */
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).tsdr = & dr_bottom;
/* discard 26 */
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).tsdr = & dr_bottom;
/* discard 30 */
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).tsdr = & dr_bottom;
/* discard 38 */
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).tsdr = & dr_bottom;
/* discard 36 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  REF(36).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c166:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
